%define name boa
%define version 0.94.14
%define rcver	rc1
%define release 0.rc1.3mdk

Summary: The boa web server
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.boa.org/%{name}-%{version}%rcver.tar.bz2
Source1: boa.init
Source2: boa.sysconfig
Patch: boa-default-config.patch.bz2
URL: http://www.boa.org/
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: flex bison
Requires: /etc/mime.types
Prereq: rpm-helper


%description
a high speed, lightweight web server (HTTP protocol).
based on direct use of the select(2) system call, it
internally multiplexes all connections without forking,
for maximum speed and minimum system resource use.

%prep
%setup -n %name-%version%rcver
%patch -p 1

%build
%serverbuild
%configure
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install boa $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/boa
install boa_indexer $RPM_BUILD_ROOT%{_libdir}/boa/

mkdir -p $RPM_BUILD_ROOT/var/www/html

cd ..
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 docs/boa.8 $RPM_BUILD_ROOT%{_mandir}/man8/

cd examples
mkdir -p $RPM_BUILD_ROOT/etc/{boa,logrotate.d}
install -m 644 boa.conf $RPM_BUILD_ROOT/etc/boa/
cd ../contrib
install -m 644 redhat/boa.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/boa

cd ..
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/boa
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/boa

mkdir -p $RPM_BUILD_ROOT/var/log/boa

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service boa

%preun
%_preun_service boa

%files
%defattr(-,root,root)
%{_sbindir}/boa
%{_libdir}/boa/boa_indexer
%config(noreplace) /etc/rc.d/init.d/boa
%config(noreplace) /etc/boa/boa.conf
%config(noreplace) /etc/logrotate.d/boa
%config(noreplace) /etc/sysconfig/boa
%dir /var/www/html
%dir /var/log/boa
%doc %{_mandir}/man8/*
%doc docs/*.{texi,png}
%doc contrib/*


%changelog
* Wed Oct 30 2002 Philippe Libat <philippe@mandrakesoft.com> 0.94.14-0.rc1.3mdk
- fix CGI/POST problem (TMP)
- add /etc/sysconfig/boa external startup file

* Tue Oct 29 2002 Philippe Libat <philippe@mandrakesoft.com> 0.94.14-0.rc1.2mdk
- fix Alias in default config
- add logrotate

* Fri Oct 25 2002 Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 0.94.14-0.rc1.1mdk
- new release
- changed default config file to match Apache settings

* Thu Apr 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.12-0.1rc7mdk
- new release

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.3-5mdk
- sanitize for lord rpmlint

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.3-4mdk
- build release
- a few spec cleaning

* Thu Mar 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.3-3mdk
- remove doubl chkconfig

* Thu Mar 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.3-2mdk
- fredification (aka rebuild 4 libsafe& co)

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94.8.3-1mdk
- Some noreplace.
- 0.94.8.3 security fix.

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.94.8.2-1mdk
- rebuild for new shiny version

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.1-2mdk
- BM
- use new man macros

* Fri Jul  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.94.8.1-1mdk
- first mandrake version

# end of file
